onEvent('recipes', event => {	
	event.remove({id:'supplementaries:strings'})
	event.remove({id:'supplementaries:strings'})
	event.remove({id:'locks:wood_lock_mechanism'})
	event.remove({id:'cold_sweat:waterskin'})
	event.remove({id:'supplementaries:sack'})
	event.remove({id:'minecraft:scaffolding'})
	event.remove({id:'hardcore_torches:oil_can'})
	event.remove({id:'create:crafting/kinetics/goggles'})
	event.remove({id:'minecraft:fishing_rod'})
	event.remove({id:'toughasnails:rain_collector'})
	event.remove({id:'minecraft:lead'})
	event.remove({id:'supplementaries:rope'})
	event.remove({id:'create:compat/supplementaries/milling/flax'})
	
	event.shapeless('kubejs:fibre_string', ['3x farmersdelight:straw'])
	event.shapeless('2x kubejs:fibre_string', ['3x supplementaries:flax'])
	event.shaped('farmersdelight:canvas', [
		'FS',
		'SF'
	], {
		F: '#kubejs:bindings',
		S: 'farmersdelight:straw'
	})
	event.shaped('locks:wood_lock_mechanism', [
		'FFF',
		'SSS',
		'PPP'
	], {
		F: '#kubejs:bindings',
		S: 'minecraft:stick',
		P: '#kubejs:plank'
	})
	event.shaped('cold_sweat:waterskin', [
		'  F',
		' L ',
		'L  '
	], {
		F: '#kubejs:bindings',
		L: 'minecraft:leather'
	})
	event.shaped('supplementaries:sack', [
		' F ',
		'C C',
		' C '
	], {
		F: '#kubejs:bindings',
		C: 'farmersdelight:canvas'
	})
	event.shaped('2x minecraft:scaffolding', [
		'BFB',
		'B B',
		'B B'
	], {
		F: '#kubejs:bindings',
		B: 'minecraft:bamboo'
	})
	event.shaped('hardcore_torches:oil_can', [
		' N ',
		'SFS',
		' S '
	], {
		F: '#kubejs:bindings',
		N: 'minecraft:iron_nugget',
		S: 'create:iron_sheet'
	})
	event.shaped('create:goggles', [
		' F ',
		'GSG'
	], {
		F: '#kubejs:bindings',
		G: '#forge:glass_panes',
		S: 'create:golden_sheet'
	})
	event.shaped('minecraft:fishing_rod', [
		'  S',
		' SF',
		'SNF'
	], {
		F: '#kubejs:bindings',
		N: 'minecraft:iron_nugget',
		S: 'minecraft:stick'
	})
	event.shaped('toughasnails:rain_collector', [
		'IFI',
		'IBI'
	], {
		F: '#kubejs:bindings',
		B: 'minecraft:barrel',
		I: 'minecraft:iron_ingot'
	})
	event.shaped('minecraft:lead', [
		'FF ',
		'FS ',
		'  F'
	], {
		F: '#kubejs:bindings',
		S: 'minecraft:slime_ball'
	})
	event.shaped('supplementaries:rope', [
		'F',
		'F',
		'F'
	], {
		F: '#kubejs:bindings'
	})
	event.recipes.createMilling(['kubejs:fibre_string', Item.of('kubejs:fibre_string').withChance(0.5), Item.of('kubejs:fibre_string').withChance(0.5)], 'minecraft:redstone_ore')
})